import { HttpResponse } from '../../contracts/http-response.js';

declare function ok<T = any>(headers: unknown, request: unknown, data: T, statusCode?: number): HttpResponse<T>;
declare function created<T = any>(headers: unknown, request: unknown, data: T): HttpResponse<T>;
declare function noContent(headers: unknown, request: unknown): HttpResponse;

export { created, noContent, ok };
