import { HttpClientProps } from '../http-client-props.js';
import { HttpInterceptor } from '../http-interceptor.js';
import { HttpParams } from '../http-params.js';
import { HttpRequestClient } from '../http-request.js';
import { HttpVerbs } from './http-verbs.js';
import './http-get-client.js';
import './http-delete-client.js';
import './http-patch-client.js';
import './http-post-client.js';
import './http-put-client.js';
import '../http-cache.js';
import '../http-headers.js';
import '../http-response.js';

type HttpClient = HttpClientProps & HttpParams & HttpInterceptor & HttpVerbs & HttpRequestClient;

export { HttpClient };
