import { BuildStorage } from 'axios-cache-interceptor';

type RedisDriverProps = {
    port: number;
    host: string;
    keyOptions?: {
        delimiter?: ':' | '-' | '_';
        prefix?: string;
        suffix?: string;
    };
};
declare function makeRedisDriverStorage({ port, host, keyOptions }: RedisDriverProps): BuildStorage;

export { RedisDriverProps, makeRedisDriverStorage };
